Noccy's HotFixes
================

## How do I install the hotfix utility?

### Automated installation

The automated installer has been tested on Ubuntu 16.04.1, and it does all the
heavy lifting for you, including dependencies.

    $ sudo apt install curl
    $ curl -O hotfix-installer.run http://files.noccy.com/hotfix/hotfix-installer.run
    $ chmod +x hotfix-installer.run
    $ ./hotfix-installer.run


### Manual install

If you would like to install it manually:

    $ curl -O ~/bin/hotfix http://files.noccy.com/hotfix/hotfix
    $ chmod +x ~/bin/hotfix


### Security precautions

If you want to make sure that you are using an official build of the hotfix utility,
you should verify the hotfix executable using the NoccyLabs signing key. Make sure
you import the key as specified below, and then download the signature into the same
directory as the executable:

    $ curl http://files.noccy.com/hotfix/hotfix.sig > hotfix.sig
    $ gpg --verify hotfix.sig

You should get output confirming a good signature.

### How do I import the public key?

    $ curl http://files.noccy.com/hotfix/signing-key.gpg | gpg --import -

## Available Hotfixes

### Processing

This will install the latest version of Processing into `/opt`.

    $ hotfix apply http://files.noccy.com/hotfix/install-processing.fix.signed

### Spotify

This hotfix will enable the official Spotify debian repositories and install the Spotify client.
It is not compatible with any other distros at this time.

    $ hotfix apply http://files.noccy.com/hotfix/install-spotify.fix.signed

